Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356031 - Wifi won't connect at 1280x1024 resolution
Summary: Wifi won't connect at 1280x1024 resolution
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-nm
Version: 24
Hardware: i686
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 10:00 UTC by eddie_strantor
Modified: 2017-08-08 15:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:33:37 UTC


Attachments (Terms of Use)

Description eddie_strantor 2016-07-13 10:00:53 UTC
Description of problem:
When setting the desktop at 1280x1024 the wireless connection drops and it's unable to connect to any device.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Change desktop resolution
2.Set it to 1280x1024
3.Apply

Actual results:
Network disconnected

Expected results:
Network working

Additional info:
At 1920x1080 wireless works fine

Comment 1 eddie_strantor 2016-07-13 10:03:31 UTC
This was also happening in later updates of F23

Comment 2 Jan Grulich 2016-07-13 10:15:12 UTC
This is weird, I don't get how this could be related to screen resolution. Is there any error in NetworkManager log?

Comment 3 eddie_strantor 2016-07-13 10:38:16 UTC
Yes, it is very weird and at first I thought it might be a problem with supporting my wireless card but then I noticed it only happened when changing the screen resolution.
I run su -c 'NetworkManager -d' but only warns me that it can't connect to the network.

NetworkManager[4068]: <warn>  [1468405657.6131] device (wlan0): Activation: (wifi) association took too long

Also I don't really know where to start to find the logs

Comment 4 eddie_strantor 2016-07-14 10:01:40 UTC
I've tryed to see what journalctl logs when trying to connect at 1280x1024.
Here is what it says:

From journalctl:

jul 14 11:23:53 Fedora24 NetworkManager[848]: <info>  [1468488233.6722] device (wlan0): state change: failed -> disconnected (reason 'none') [120 30 0]
jul 14 11:23:53 Fedora24 /firewalld[753]: ERROR: UNKNOWN_INTERFACE: 'wlan0' is not in any zone
jul 14 11:23:53 Fedora24 NetworkManager[848]: <warn>  [1468488233.6893] firewall: [0xb4604f40,remove:"wlan0"]: complete: request failed (UNKNOWN_INTERFACE: 'wlan0' is not in any zone)
jul 14 11:23:53 Fedora24 kdeconnectd[1176]: "No existe la interfaz «org.freedesktop.DBus.Properties» en el objeto en la ruta /org/freedesktop/NetworkManager/ActiveConnection/9"
jul 14 11:23:53 Fedora24 kdeinit5[1107]: "No existe la interfaz «org.freedesktop.DBus.Properties» en el objeto en la ruta /org/freedesktop/NetworkManager/ActiveConnection/9"

The Spanish text says something like "Interface don't exists [...] at the object in [...]"

And this goes on and on at every try.
Did the same at 1920x1080 and there is no trouble, everything works fine

Comment 5 eddie_strantor 2016-07-15 08:51:35 UTC
This is getting even weirder, the problem shows up when using the HDMI input. Disabling it and using the VGA input makes NM to work fine.
At this point I'm totally lost. Could it be an X problem, maybe something with plasmashell?

Comment 6 Fedora End Of Life 2017-07-25 21:46:29 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-08-08 15:33:37 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.